*-----------------------------------------------------------------------
*     BASIC ROUTINES
*-----------------------------------------------------------------------
*     MXPTMZ : PLOT TICKMARKS
*-----------------------------------------------------------------------
      SUBROUTINE MXPTMZ(UX,N,UPY,ROFFX,RTICK,INDEX)

      REAL      UX(*)


      IF (N.LE.0) THEN
        CALL MSGDMP('E','MXPTMZ','NUMBER OF POINTS IS INVALID.')
      END IF
      IF (INDEX.LE.0) THEN
        CALL MSGDMP('E','MXPTMZ','LINE INDEX IS INVALID.')
      END IF

      CALL SGQCLP(ICLIPZ)
      CALL SGSCLP(0)

      DO 10 I=1,N
        CALL SGNTRF(UX(I),UPY,VPX,VPY)
        CALL SGNTRF(UX(I),UPY+RTICK,VPXR,VPYR)
        FACT = ABS( RTICK )/ SQRT( (VPXR-VPX)**2 + (VPYR-VPY)**2 )
        VPXR = VPX + ( VPXR - VPX ) * FACT
        VPYR = VPY + ( VPYR - VPY ) * FACT
*
c$$$        VPY=VPY+ROFFX
*
        CALL SGLNZV(VPX,VPY,VPXR,VPYR,INDEX)
   10 CONTINUE

      CALL SGSCLP(ICLIPZ)

      END
