*-----------------------------------------------------------------------
*     MXPTMK : PLOT TICKMARKS
*-----------------------------------------------------------------------
      SUBROUTINE MXPTMK(CSIDE,ISLCT,UX,N)

      REAL      UX(*)
      CHARACTER CSIDE*1

      CHARACTER CSLCT*1

      LOGICAL   LUXCHK,LCHREQ


      IF (.NOT.(LUXCHK(CSIDE))) THEN
        CALL MSGDMP('E','MXPTMK','SIDE PARAMETER IS INVALID.')
      END IF
      IF (.NOT.(0.LE.ISLCT .AND. ISLCT.LE.2)) THEN
        CALL MSGDMP('E','MXPTMK','''ISLCT'' IS INVALID.')
      END IF
      IF (N.LE.0) THEN
        CALL MSGDMP('E','MXPTMK','NUMBER OF POINTS IS INVALID.')
      END IF

      WRITE(CSLCT,'(I1)') ISLCT

      CALL UZPGET('ROFFX'//CSIDE,ROFFX)
      CALL UZPGET('ROFGX'//CSIDE,ROFGX)
      CALL UZPGET('INDEXT'//CSLCT,INDEX)
      CALL UZPGET('RSIZET'//CSLCT,RSIZE)
      CALL UZPGET('INNER',INNER)
      JSGN=SIGN(1,INNER)

      IF (.NOT.LCHREQ(CSIDE,'U')) THEN
        CALL SGQWND(UXMN,UXMX,UYMN,UYMX)
        CALL SGQVPT(VXMN,VXMX,VYMN,VYMX)
        CALL SGQTRN(ITR)
        IF (LCHREQ(CSIDE,'B')) THEN
          POSY=UYMN
          IFLAG=-1
        ELSE
          POSY=UYMX
          IFLAG=+1
        END IF
      ELSE
        CALL UZPGET('UYUSER',POSY)
        CALL UZPGET('IFLAG',IFLAG)
        IFLAG=SIGN(1,IFLAG)
      END IF

      RTICK=-RSIZE*JSGN*IFLAG

      IF (IFLAG.GE.0) THEN
        ROFFX=MAX(ROFGX+RTICK,ROFFX)
      ELSE
        ROFFX=MIN(ROFGX+RTICK,ROFFX)
      END IF

      CALL MXPTMZ(UX,N,POSY,ROFGX,RTICK,INDEX)

      CALL UZPSET('ROFFX'//CSIDE,ROFFX)

      END
