*-----------------------------------------------------------------------
*     MYPTMK : PLOT TICKMARKS
*-----------------------------------------------------------------------
      SUBROUTINE MYPTMK(CSIDE,ISLCT,UY,N)

      REAL      UY(*)
      CHARACTER CSIDE*1

      LOGICAL   LUYCHK,LCHREQ
      CHARACTER CSLCT*1


      IF (.NOT.(LUYCHK(CSIDE))) THEN
        CALL MSGDMP('E','MYPTMK','SIDE PARAMETER IS INVALID.')
      END IF
      IF (.NOT.(0.LE.ISLCT .AND. ISLCT.LE.2)) THEN
        CALL MSGDMP('E','MYPTMK','''ISLCT'' IS INVALID.')
      END IF
      IF (N.LE.0) THEN
        CALL MSGDMP('E','MYPTMK','NUMBER OF POINTS IS INVALID.')
      END IF

      WRITE(CSLCT,'(I1)') ISLCT

      CALL UZPGET('ROFFY'//CSIDE,ROFFY)
      CALL UZPGET('ROFGY'//CSIDE,ROFGY)
      CALL UZPGET('INDEXT'//CSLCT,INDEX)
      CALL UZPGET('RSIZET'//CSLCT,RSIZE)
      CALL UZPGET('INNER',INNER)
      JSGN=SIGN(1,INNER)

      IF (.NOT.LCHREQ(CSIDE,'U')) THEN
        CALL SGQWND(UXMN,UXMX,UYMN,UYMX)
        CALL SGQVPT(VXMN,VXMX,VYMN,VYMX)
        CALL SGQTRN(ITR)
        IF (LCHREQ(CSIDE,'L')) THEN
          POSX=UXMN
          IFLAG=-1
        ELSE
          POSX=UXMX
          IFLAG=+1
        END IF
      ELSE
        CALL UZPGET('UXUSER',POSX)
        CALL UZPGET('IFLAG',IFLAG)
        IFLAG=SIGN(1,IFLAG)
      END IF

      RTICK=-RSIZE*JSGN*IFLAG

      IF (IFLAG.GE.0) THEN
        ROFFY=MAX(ROFGY+RTICK,ROFFY)
      ELSE
        ROFFY=MIN(ROFGY+RTICK,ROFFY)
      END IF

      CALL MYPTMZ(UY,N,POSX,ROFGY,RTICK,INDEX)

      CALL UZPSET('ROFFY'//CSIDE,ROFFY)

      END
